@echo off

javac TestGen.java
java TestGen

pushd ..
call dcc32 -cc check.dpr
popd
copy ..\check.exe .\

copy ..\palin_sm.java .\

javac palin_sm.java

for %%i in (??) do (
  echo %%i
  copy %%i palin.in > nul
  java palin_sm
  copy palin.out %%i.a   > nul
)
rem docheck sm